
%global meadversion 2.1.2
%global namedversion 2.1.2.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_without mead
%bcond_with javadoc

%{?scl:%scl_package jakarta-mail}
%{!?scl:%global pkg_name %{name}}

%global orig_name jakarta-mail

%define maven_version 2.1.2.redhat-00001

Name:           %{?scl_prefix}jakarta-mail
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Jakarta Mail API distribution
Group:          Development/Java

%if %with mead
Source100: jakarta.mail-api-2.1.2.redhat-00001-project-sources.tar.gz
Source102: jakarta.mail-api-2.1.2.redhat-00001-sources.jar
Source103: jakarta.mail-api-2.1.2.redhat-00001.pom
Source104: jakarta.mail-api-2.1.2.redhat-00001.jar
%endif

License:        EPL-2.0
URL:            https://github.com/eclipse-ee4j/mail
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Jakarta Mail API distribution.

%if %with javadoc
%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation


%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jakarta.mail-api-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%if 0
%{__cp} -p %{_sourcedir}/client-%{namedversion}.jar %{buildroot}%{_javadir}/%{orig_name}-client-%{namedversion}.jar
#%%{__cp} -p %{_sourcedir}/client-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{orig_name}-client-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/demo-%{namedversion}.jar %{buildroot}%{_javadir}/%{orig_name}-demo-%{namedversion}.jar
#%%{__cp} -p %{_sourcedir}/demo-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{orig_name}-demo-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/dsn-%{namedversion}.jar %{buildroot}%{_javadir}/%{orig_name}-dsn-%{namedversion}.jar
#%%{__cp} -p %{_sourcedir}/dsn-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{orig_name}-dsn-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/gimap-%{namedversion}.jar %{buildroot}%{_javadir}/%{orig_name}-gimap-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/imap-%{namedversion}.jar %{buildroot}%{_javadir}/%{orig_name}-imap-%{namedversion}.jar
#%%{__cp} -p %{_sourcedir}/imap-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{orig_name}-imap-%{namedversion}-sources.jar
%endif

%{__cp} -p %{_sourcedir}/jakarta.mail-api-%{namedversion}.jar %{buildroot}%{_javadir}/jakarta.mail-api-%{namedversion}.jar

%if 0
%{__cp} -p %{_sourcedir}/jakarta.mail-api-%{namedversion}.jar %{buildroot}%{_javadir}/%{orig_name}-jakarta.mail-api-%{namedversion}.jar
#%%{__cp} -p %{_sourcedir}/jakarta.mail-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{orig_name}-jakarta.mail-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/logging-%{namedversion}.jar %{buildroot}%{_javadir}/%{orig_name}-logging-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/logging-mailhandler-%{namedversion}.jar %{buildroot}%{_javadir}/%{orig_name}-logging-mailhandler-%{namedversion}.jar
#%%{__cp} -p %{_sourcedir}/logging-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{orig_name}-logging-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/mailapi-%{namedversion}.jar %{buildroot}%{_javadir}/%{orig_name}-mailapi-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/mbox-%{namedversion}.jar %{buildroot}%{_javadir}/%{orig_name}-mbox-%{namedversion}.jar
#%%{__cp} -p %{_sourcedir}/mbox-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{orig_name}-mbox-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/outlook-%{namedversion}.jar %{buildroot}%{_javadir}/%{orig_name}-outlook-%{namedversion}.jar
#%%{__cp} -p %{_sourcedir}/outlook-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{orig_name}-outlook-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/pop3-%{namedversion}.jar %{buildroot}%{_javadir}/%{orig_name}-pop3-%{namedversion}.jar
#%%{__cp} -p %{_sourcedir}/pop3-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{orig_name}-pop3-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/servlet-%{namedversion}.jar %{buildroot}%{_javadir}/%{orig_name}-servlet-%{namedversion}.jar
#%%{__cp} -p %{_sourcedir}/servlet-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{orig_name}-servlet-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/smtp-%{namedversion}.jar %{buildroot}%{_javadir}/%{orig_name}-smtp-%{namedversion}.jar
#%%{__cp} -p %{_sourcedir}/smtp-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{orig_name}-smtp-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/taglib-%{namedversion}.jar %{buildroot}%{_javadir}/%{orig_name}-taglib-%{namedversion}.jar
#%%{__cp} -p %{_sourcedir}/taglib-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{orig_name}-taglib-%{namedversion}-sources.jar
#%%{__cp} -p %{_sourcedir}/webapp-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{orig_name}-webapp-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/webapp-%{namedversion}.war %{buildroot}%{_javadir}/%{orig_name}-webapp-%{namedversion}.war
%endif

%if 0
pushd %{buildroot}%{_javadir}
%{__ln_s} %{orig_name}-mail-%{namedversion}.jar %{orig_name}-monolithic-%{namedversion}.jar
%{__ln_s} %{orig_name}-monolithic-%{namedversion}.jar %{orig_name}-%{namedversion}.jar
popd
%endif

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# javadoc
%if %with javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{orig_name}-%{namedversion}
unzip -qq %{_sourcedir}/javadoc-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{orig_name}-%{namedversion} -x 'META-INF/*'
(cd %{buildroot}%{_javadocdir} && %{__ln_s} %{orig_name}-%{namedversion} %{name})
%endif

%if 0
# release txt files
%{__mkdir_p} doc/release
unzip -qq %{_sourcedir}/all-%{namedversion}-scm-sources.zip %{orig_name}/doc/release/*.txt
ls -l
%{__cp} -p %{orig_name}/doc/release/*.txt doc/release/
%{__rm} -rf %{orig_name}
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%if 0
#%%dir %{_javadir}/%{name}
%{_javadir}/%{orig_name}-client-%{namedversion}.jar
%{_javadir}/%{orig_name}-client.jar
#%%{_javadir}/%{orig_name}-client-%{namedversion}-sources.jar
#%%{_javadir}/%{orig_name}-client-sources.jar
%{_javadir}/%{orig_name}-demo-%{namedversion}.jar
%{_javadir}/%{orig_name}-demo.jar
#%%{_javadir}/%{orig_name}-demo-%{namedversion}-sources.jar
#%%{_javadir}/%{orig_name}-demo-sources.jar
%{_javadir}/%{orig_name}-dsn-%{namedversion}.jar
%{_javadir}/%{orig_name}-dsn.jar
#%%{_javadir}/%{orig_name}-dsn-%{namedversion}-sources.jar
#%%{_javadir}/%{orig_name}-dsn-sources.jar
%{_javadir}/%{orig_name}-gimap-%{namedversion}.jar
%{_javadir}/%{orig_name}-gimap.jar
%{_javadir}/%{orig_name}-imap-%{namedversion}.jar
%{_javadir}/%{orig_name}-imap.jar
#%%{_javadir}/%{orig_name}-imap-%{namedversion}-sources.jar
#%%{_javadir}/%{orig_name}-imap-sources.jar
%endif
%{_javadir}/jakarta.mail-api-%{namedversion}.jar
%{_javadir}/jakarta.mail-api.jar

%if 0
#%%{_javadir}/%{orig_name}-jakarta.mail-%{namedversion}-sources.jar
#%%{_javadir}/%{orig_name}-jakarta.mail-sources.jar
%{_javadir}/%{orig_name}-logging-%{namedversion}.jar
%{_javadir}/%{orig_name}-logging.jar
%{_javadir}/%{orig_name}-logging-mailhandler-%{namedversion}.jar
%{_javadir}/%{orig_name}-logging-mailhandler.jar
#%%{_javadir}/%{orig_name}-logging-%{namedversion}-sources.jar
#%%{_javadir}/%{orig_name}-logging-sources.jar
%{_javadir}/%{orig_name}-mailapi-%{namedversion}.jar
%{_javadir}/%{orig_name}-mailapi.jar
%{_javadir}/%{orig_name}-mbox-%{namedversion}.jar
%{_javadir}/%{orig_name}-mbox.jar
#%%{_javadir}/%{orig_name}-mbox-%{namedversion}-sources.jar
#%%{_javadir}/%{orig_name}-mbox-sources.jar
%{_javadir}/%{orig_name}-outlook-%{namedversion}.jar
%{_javadir}/%{orig_name}-outlook.jar
#%%{_javadir}/%{orig_name}-outlook-%{namedversion}-sources.jar
#%%{_javadir}/%{orig_name}-outlook-sources.jar
%{_javadir}/%{orig_name}-pop3-%{namedversion}.jar
%{_javadir}/%{orig_name}-pop3.jar
#%%{_javadir}/%{orig_name}-pop3-%{namedversion}-sources.jar
#%%{_javadir}/%{orig_name}-pop3-sources.jar
%{_javadir}/%{orig_name}-servlet-%{namedversion}.jar
%{_javadir}/%{orig_name}-servlet.jar
#%%{_javadir}/%{orig_name}-servlet-%{namedversion}-sources.jar
#%%{_javadir}/%{orig_name}-servlet-sources.jar
%{_javadir}/%{orig_name}-smtp-%{namedversion}.jar
%{_javadir}/%{orig_name}-smtp.jar
#%%{_javadir}/%{orig_name}-smtp-%{namedversion}-sources.jar
#%%{_javadir}/%{orig_name}-smtp-sources.jar
%{_javadir}/%{orig_name}-taglib-%{namedversion}.jar
%{_javadir}/%{orig_name}-taglib.jar
#%%{_javadir}/%{orig_name}-taglib-%{namedversion}-sources.jar
#%%{_javadir}/%{orig_name}-taglib-sources.jar
#%%{_javadir}/%{orig_name}-webapp-%{namedversion}-sources.jar
#%%{_javadir}/%{orig_name}-webapp-sources.jar
%{_javadir}/%{orig_name}-jakarta.mail-api-%{namedversion}.jar
%{_javadir}/%{orig_name}-jakarta.mail-api.jar
%{_javadir}/%{orig_name}-webapp-%{namedversion}.war
%{_javadir}/%{orig_name}-webapp.war
%{_javadir}/%{orig_name}-monolithic-%{namedversion}.jar
%{_javadir}/%{orig_name}-monolithic.jar
%{_javadir}/%{orig_name}-%{namedversion}.jar
%{_javadir}/%{orig_name}.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{orig_name}-%{namedversion}
%{_javadocdir}/%{orig_name}
%endif

%changelog
* Wed Jun 14 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.1.2-1.redhat_00001.1
- Built by CPaaS

* Mon Mar 20 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.1.1-1.redhat_00001.1
- Built by CPaaS

* Mon Jan 30 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.1.0-2.redhat_00002.1
- Built by CPaaS

* Thu Nov 03 2022 cpaas-ops <cpaas-ops@redhat.com> - 2.1.0-1.redhat_00002.1
- Built by CPaaS

* Thu Jul 21 2022 Permaine Cheung <pcheung@redhat.com> - 1.6.7-3.redhat_00001.1
- 1.6.7.redhat-00001

* Wed Jul 20 2022 Yong Yang <yyang@redhat.com> - 1.6.7-2.redhat_00001.1
-  1.6.7.redhat-00001

* Wed Jul 20 2022 Yong Yang <yyang@redhat.com> - 1.6.7-1.redhat_00001.1
- Rename to jakarta-mail
